List Outreach
curl --request GET \
--url https://api.example.com/v2/cash-app/outreach \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.example.com/v2/cash-app/outreach"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.example.com/v2/cash-app/outreach', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"created_at": "2023-11-07T05:31:56Z",
"modified_at": "2023-11-07T05:31:56Z",
"id": "<string>",
"outreach_type": "payment_receipt",
"status": "pending",
"skip_reason": "<string>",
"bank_transaction_id": "<string>",
"payment_id": "<string>",
"partner_id": "<string>",
"email_id": "<string>",
"object": "<string>"
}
],
"current_page": 0,
"total_records": 1,
"next_page": 123
}{
"type": "request-validation",
"status": 422,
"title": "<string>",
"errors": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
],
"detail": "<string>"
}cash-app
List Outreach
List Cash App Outreach Log
List outreach log entries for the organization. Can be filtered by payment_id, bank_transaction_id, partner_id, outreach_type, and status.
GET
/
v2
/
cash-app
/
outreach
List Outreach
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Query Parameters
Page number, 0 indexed.
Required range:
x >= 0Number of records per page.
Required range:
1 <= x <= 500Allowed value:
"created_at"Available options:
asc, desc Filter by payment ID.
Filter by bank transaction ID.
Filter by partner ID.
Filter by outreach type.
Available options:
payment_receipt, remittance_request Filter by status.
Available options:
pending, sent, failed, skipped Response
Successful Response
